Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.es
Class ESBoolean

    java.lang.Object
      |
      +--com.caucho.es.ESBase
            |
            +--com.caucho.es.ESBoolean

public class ESBoolean
extends ESBase

Implementation class for JavaScript booleans.

Field Summary
`static ESBoolean` | `FALSE`
`static ESBoolean` | `TRUE`

Fields inherited from class com.caucho.es.ESBase
`DONT_DELETE, DONT_ENUM, esBase, esEmpty, esNull, esUndefined, READ_ONLY`

Method Summary
`static ESBoolean` | `create(boolean value)` Returns the proper boolean
`boolean` | `ecmaEquals(ESBase b)`
`java.lang.Class` | `getJavaType()`
`ESBase` | `getProperty(ESString key)`
`boolean` | `isBoolean()`
`boolean` | `toBoolean()`
`java.lang.Object` | `toJavaObject()`
`double` | `toNum()`
`ESObject` | `toObject()`
`ESString` | `toStr()` Returns this as a string.
`ESBase` | `typeof()`

Methods inherited from class com.caucho.es.ESBase
`call, call, construct, delete, getProperty, greaterThan, hasProperty, isNum, isString, keys, lessThan, plus, setProperty, setProperty, setProperty, toInt32, toJavaString, toPrimitive, toPrimitive, toSource, toString, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRUE

    public static final ESBoolean TRUE

### FALSE

    public static final ESBoolean FALSE

Method Detail

### typeof

    public ESBase typeof()
                  throws ESException

  Overrides:
    `typeof` in class `ESBase`

### getJavaType

    public java.lang.Class getJavaType()

  Overrides:
    `getJavaType` in class `ESBase`

### isBoolean

    public boolean isBoolean()

  Overrides:
    `isBoolean` in class `ESBase`

### toBoolean

    public boolean toBoolean()

  Overrides:
    `toBoolean` in class `ESBase`

### toNum

    public double toNum()

  Overrides:
    `toNum` in class `ESBase`

### getProperty

    public ESBase getProperty(ESString key)
                       throws java.lang.Exception

  Overrides:
    `getProperty` in class `ESBase`

### toStr

    public ESString toStr()

  Returns this as a string.
  Overrides:
    `toStr` in class `ESBase`

### toObject

    public ESObject toObject()
                      throws ESException

  Overrides:
    `toObject` in class `ESBase`

### toJavaObject

    public java.lang.Object toJavaObject()

  Overrides:
    `toJavaObject` in class `ESBase`

### ecmaEquals

    public boolean ecmaEquals(ESBase b)
                       throws java.lang.Exception

  Overrides:
    `ecmaEquals` in class `ESBase`

### create

    public static ESBoolean create(boolean value)

  Returns the proper boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD